Subject: bug#63469: 29.0.90; project.el doesn't add menu-bar entries

From: Juri Linkov <[email-masked]>
Date: Tue, 23 May 2023 09:49:00 +0300

>> Actually I miss this feature very much.  There is already the mode-line
>> indication with the VC system name and the VC branch name, but
>> no indication with a project name, so similar files
>> in different projects all are showing the same "Git-master".
>
> We can show this on the mode line always, whenever there's a project.
> No need for a minor mode.

Agreed.

>> Now here is the implementation of 'project-mode' based on 'vc-mode',
>> and 'project-menu-entry' based on 'vc-menu-entry' that shows
>> a project name alongside of vc info, and the mouse click opens
>> the project menu using 'menu-bar-project-menu' implemented by Spencer.
>
> I still don't understand why this has to be a minor mode.  Both
> mode-line indication and the menu bar can show this stuff regardless
> of any mode.  It sounds like this mode is an unnecessary complication.

Agreed as well.  The existing variable 'vc-mode' is not a minor mode.